Subject: Re: bug#33250: 26.1.50; Unable to build emacs-26 branch out of tree on fedora 29

From: [email-masked] (Pierre Téchoueyres)
Date: Sat, 03 Nov 2018 18:41:15 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Pierre Téchoueyres)
>> Cc: [email-masked]
>> Date: Sat, 03 Nov 2018 17:30:43 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> >> 
>> >> I'm attaching the trace file of compilation output.
>> >> [...]
>> >>   GEN      ../etc/DOC
>> >> loaddefs.el: No such file or directory
>> >> make[1]: *** [Makefile:559: ../etc/DOC] Error 1
>> >
>> > I think the above is the root cause.  Where's loaddefs.el being
>> > generated?
>> >
>> 
>> I'm unable to find the file.
>> I tried with the following command:
>> find . -iname loaddefs.el in my ~/Travail/VCS/Emacs/emacs/emacs-26  directory
>> It seems the generation of this file has failed.
>
> Then Emacs should have loaded ldefs-boot.el instead, and I see in your
> trace that it did.
>
> Is your source tree clean?  Or was it used for another in-tree build?
It's clean, and i also re-created the build-26 directory

Here is the result of git status:
#+BEGIN_VERSE
╭─   ptechoueyres@killashandra   ~/Travail/VCS/Emacs/emacs/emacs-26     emacs-26   1   
╰ LC_ALL=C git status
On branch emacs-26
Your branch is behind 'origin/emacs-26' by 1 commit, and can be fast-forwarded.
  (use "git pull" to update your local branch)

Untracked files:
  (use "git add <file>..." to include in what will be committed)

        build-26/

nothing added to commit but untracked files present (use "git add" to track)
#+END_VERSE

and before the build I also did a git clean -dfx

> Anyway, I cannot see what all this could have with your OS update.

I don't too, but as it's the only thing that changed ...